# std::packaged_task< _Res(_ArgTypes...)> Class Template Reference
[Futures]

packaged_task More...

List of all members.

## Public Types

- typedef _Res result_type

## Public Member Functions

- template<typename _Fn > packaged_task (const _Fn &__fn)
- packaged_task (_Res(*__fn)(_ArgTypes...))
- packaged_task (packaged_task &&__other)
- template<typename _Fn > packaged_task (_Fn &&__fn)
- packaged_task (packaged_task &)
- future< _Res > get_future ()
- operator bool () const
- void operator() (_ArgTypes...__args)
- packaged_task & operator= (packaged_task &&__other)
- packaged_task & operator= (packaged_task &)
- void reset ()
- void swap (packaged_task &__other)

## Detailed Description

### template<typename _Res, typename... _ArgTypes>
class std::packaged_task< _Res(_ArgTypes...)>

packaged_task

Definition at line 1183 of file future.

The documentation for this class was generated from the following file:

- future